import request from '@/utils/request'

/**
 *  查询模板列表
 */
export function listTemplate(query) {
    return request({
        url: '/control/template/list',
        method: 'get',
        params: query,
    })
}
/**
 *  查询表单
 */
export function listTemplateForm(id) {
    return request({
        url: '/control/template/template-form',
        method: 'get',
        params: {id: id},
    })
}
/**
 * 查询参数列表
 */
export function listTemplateDetail(params) {
    return request({
        url: '/control/template/template-detail',
        method: 'get',
        params: params,
    })
}
/**
 * 修改参数
 */
export function editTemplateDetail(form) {
    return request({
        url: '/control/template/template-detail',
        method: 'put',
        params: form,
    })
}
/**
 * 修改参数
 */
export function deleteTemplateDetail(ids) {
    return request({
        url: '/control/template/template-detail',
        method: 'delete',
        params: {ids},
    })
}